# ReleaseCLI

An easy way to collaboratively keep track of changes. Without the hassle of having to edit the same file. Specifically to avoid problems during MRs.

## Motivation

When working together with other developers within the same repository, we always used to keep track of all feature changes in one `CHANGELOG.md` file. This resulted in lots of frustration because it caused constant problems with rebases (entries being moved, blocked merges, ...). This is the main motivation for this project.

## Installation

`go install gitlab.eps-dev.de/Lilly/releasecli@v0.1.1`

## Usage

### Initializing

To initialize a project run the following command. It will create the required config file for your project.

`releasecli init`

### Creating a change

To crate a new change run the following command and then follow the prompts.

`releasecli change create`

### Creating a release

To crate a new release run the following command and then follow the prompts.

`releasecli release create`

### Generating the changelog

To generate the changelog run the following command.

`releasecli changelog generate`

## Linting

To lint this project using [golangci-lint](https://golangci-lint.run/) run the following command:

`golangci-lint run ./... ./src/...`